- [HTTP request](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.threads/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.threads/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.threads/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.threads/list#body.request_body)
- [Response body](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.threads/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.threads/list#body.ListThreadsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.threads/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.threads/list#try-it)

<br />

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

Lists threads in a 1:1 App DM space.

<br />

Supports the following types of [authentication](https://developers.google.com/workspace/chat/authenticate-authorize):

- [App authentication](https://developers.google.com/workspace/chat/authenticate-authorize-chat-app) with the authorization scope:
  - `https://www.googleapis.com/auth/chat.bot`

Only supported in 1:1 App DM spaces. Calls in other space types or using user authentication will return an error.

### HTTP request

`GET https://chat.googleapis.com/v1/{parent=spaces/*}/threads`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the space to list threads from. Format: `spaces/{space}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of threads to return. The service may return fewer than this value. If unspecified, at most 50 threads will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token received from a previous `threads.list` call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

Response message for threads.list.

<br />

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview), which grants early access to certain features.

<br />

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "threads": [ { object (`https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.threads#Thread`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `threads[]` | ``object (`https://developers.google.com/workspace/chat/api/reference/rest/v1/spaces.threads#Thread`)`` List of threads. Ordered in reverse chronological order based on the thread creation timestamp. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page of results. If empty, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chat.bot`

For more information, see the [Authorization guide](https://developers.google.com/workspace/chat/authenticate-authorize).